@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@100;300;600;700&display=swap');
*{
    box-sizing: border-box;
}
body{
    font-family: 'Raleway', sans-serif;
    background-color: var(--site_background_color);
    font-size: 1rem;
    margin: 0;
}
p,h1,h2,h3,h4,h5,ul{
    margin: 0px;
    padding: 0px;
}
li{
    list-style-type: none;
}
.centerlized{
    margin: 0 auto;
    max-width: 1680px;
}
.centerlized-small{
    margin: 0 auto;
    max-width: 1880px;
}
header{
    width: 100%;
    height: auto;
}
nav{
    position: absolute;
    z-index: 999;
    width: calc(100%);
    height: calc(60px - 10px);
    background-color: var(--site_menu_color);
    padding: 5px;
}
.menu-inner-wrapper{
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
    justify-content: space-between;
}
.menu-inner-wrapper a{
  font-size: 2.5rem;
  font-weight: bold;
  display: flex;
  color: white;
  text-transform: uppercase;
  align-items: center;
  justify-content: center;
}
.right-container h2{
    color: white;
}
.right-container{
    margin-right: 20px;
    height: 100%;
    display: flex;
    align-items: center;
    color: white;
}
.right-container ul{
    display: flex;
    gap: 20px;
}
.right-container ul li{
    height: 100%;
}
.right-container ul li a{
display: block;
font-size: 1.3rem;
height: 100%;
font-weight: 300;
text-transform: capitalize;
color: rgb(255, 255, 255);
text-decoration: none;
transition: all 0.5s ease-in-out;
}
.right-container ul li a:hover{
    color: rgb(255, 255, 255);
}
.hero-bg{
    background-image: url(../uploads/hero-01.jpg);
    background-position: center 60%;
    background-repeat: no-repeat;
    background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
    width: 100%;
    height: 500px;
    position: relative;
    
}

.hero-bg svg{
    position: absolute;
    left: 0;
    bottom:-200px;
}
.hero-bg h1{
    font-size: 3rem;
    padding: 20px;
    border: 5px solid white;
    font-weight: bold;
    color: white;
    z-index: 2;
    text-transform: capitalize;
}
.hero-bg img{
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    max-height: none;
}
main{
    width: 100%;
    height: 100%;
}
.article-section{
    width: 100%;
    height: 100%;
text-align: center;
display: flex;
align-items: center;
justify-content: center;
position: relative;
}
.inner-wrapper{
    width: 100%;
    justify-content: center;
    height: 100%;
    display: flex;
    flex-direction: row-reverse;
}
.sidebar{
    height: calc(100% - 40px);
    width: calc(20% - 40px);
    padding: 20px;
    z-index: 99;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: flex-start;
}
.sidebar form {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: none;
}
.nav-tag-container{
    display: flex;
    gap: 10px;
}
.sidebar .nav-tag-container{
 width: auto;
    height: auto;
}
.sidebar form div:nth-child(2){
    width: 100%;
    height: 100%;
    position: relative;
}
#submit {
    top: 0;
}
.sidebar form input{
    width: 100%;
}
.top-wrapper{
    width: 100%;
    height: auto;
}
.search-bar{
    width: calc(90%);
    min-width: 200px;
    padding: 5px;
    height: auto;
    border: 2px solid rgb(234, 234, 234);
    min-height: 34px;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.sidebar button{
    position: absolute;
    left: calc(100% - 30px);
    width: 30px;
    display: flex;
    background-color: transparent;
    border: none;
    cursor: pointer;
    align-items: center;
    justify-content: center;
  height: 100%;
position: absolute;
right: 5px;
}
.search-bar i{
    padding: 5px;
}
.search-bar input{
    border: none;
    width: 100%;
    height: 34px;
    background-color: none;
}
.sidebar section{
    padding: 10px;
}
.search-number-wrapper{
    width: 100%;
    height: auto;
}
.sidebar section h3{
    font-size: 1.5rem;
    font-weight: bold;
    text-transform: capitalize;
}
.recent-posts-wrapper{
    display: flex;
    flex-direction: column;
}
.recent-posts-wrapper ul li a{

    color: rgb(183, 183, 183);
    text-transform: capitalize;
   text-decoration: none;
}
.recent-posts-wrapper ul{
    display: flex;
    gap: 20px;
    flex-direction: column;
    align-items: flex-start;
}
.categories-wrapper ul li a,.comments-wrapper ul li{

    color: rgb(183, 183, 183);
    text-transform: capitalize;
    text-decoration: none;
}
.comments-wrapper li i{
margin-right: 7px;
}
.comments-wrapper li{
    border-bottom: 2px solid #dee1e3;
}

.categories-wrapper ul ,.comments-wrapper ul{
    display: flex;
    gap: 20px;
    flex-direction: column;
    align-items: flex-start;
}
.cards-wrapper{
    width: calc(70% - 80px);
    height: 100%;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-right: 0;
    padding-top: 20px;
    z-index: 1;
 
}
.small-post,.qoute{
    flex-basis: max-content;
   width: calc(100% / 3);
   min-width: 250px;
   background-color: white;
   display: flex;
   flex-direction: column;
   max-width: 533px;;
   flex: 1;
   border-radius: 10px 10px 0px 0px;
   transition: all 0.5s ease-in-out;
   

}
.post-tag-container{
    width: 100%;
    min-height: 60px;
    height: 100%;
    position: absolute;
}
.post-tag{
    border: 2px solid white;
    padding: 3px;
    color: white;
    font-size: 18px;
    top: 10px;
    font-family: 'Nunito', sans-serif;
    left: 20px;
    font: bolder;
    text-transform: uppercase;
}
.fetured-tag {
    color: rgb(228, 56, 56);
}
.new-tag{
    color: yellow;
}
.profile-post{
    flex-basis: max-content;
    width: 100%;
    background-color: white;
    display: flex;
    border-radius: 5px;
    flex-direction: column;
    flex: 1;
    border: 2px solid #dee1e3;
    transition: all 0.5s ease-in-out;
}
.small-post:hover .post-image{
   filter: brightness(150%);
      cursor: pointer;
}
.post-image{
    border-radius: 10px 10px 0px 0px;
   transition: all 0.5s ease-in-out;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    min-height: 150px;
    position: relative;
}
.post-image::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 10px 10px 0px 0px;
    bottom: 0;
    left: 0;
    background: linear-gradient(260deg,rgba(5, 75, 139, 0),#55555536);
}

.middle-container{
     overflow: hidden;
    padding: 40px;
    padding-top: 15px;
    height: 40%;
    width: calc(100%);
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
    justify-content: flex-start;
}
.tag-ul{
    width:calc(100% - 40px);
    top: 10px;
    left: 20px;
    display: flex;
    height: auto;
    overflow: hidden;
    gap: 8px;
    position: absolute;
    flex-wrap: wrap;
}
.comments-box{
display: flex;
gap: 5px;
}
.comments-box .circle span{
    font-size: 1.1rem;
    font-weight: bold;
}
.comments-box i{
    font-size: 22px;
}
.post-content p::after{
content: '[...]';
margin-left: 5px;
}
.by{
    font-size: 1.1rem;
}
.categorie{
    font-weight: bold;
    text-transform: capitalize;
    text-decoration: underline;
    color: rgb(137, 136, 136);
    font-size: 1.2rem;
}
.content::first-letter{
    font-size: 1.5rem;
}
.middle-container{
    font-size: 1.3rem;
}
.post-title{
    color: rgb(60, 59, 59);
    text-transform: uppercase;
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
}
.bottom-container{
    width: 100%;
    height: 10%;
    border-top: 2px solid whitesmoke;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.post-btn{
margin-left: 10px;
 width: 100%;
 height: 100%;
    color: rgb(0, 0, 0);
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}
.post-author,.post-date,.post-more{
 font-size: 0.8rem;
 display: flex;
 font-weight: 500;
}
.newest-posts-container{
    width: calc(100%);
    height: 350px;
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding-bottom: 0px;
}
.posts-left-container{
    width: 100%;
    height: 100%;
}
.posts-left-container .large-article{
    width: 100%;
    height: 100%;
    background-image: url(../uploads/hero-01.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    gap: 20px;
}
.large-article::before,.qoute::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0;
    background: linear-gradient(180deg,rgba(0, 22, 43, 0),#2222229b);
}
.post-resume{
   width: auto; 
   color: rgb(237, 237, 237);
   font-weight: bold;
   font-size: 1.2rem;
   z-index: 10;
}
.large-article .post-title{
    color: whitesmoke;
    font-size: 2.5rem;
    z-index: 10;
}
.posts-right-container{
    width: 50%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.posts-right-container .small-post{
    height: 100%;
    flex: 2;
    min-width: auto;
}
.posts-right-container .small-post .post-title h2{
    font-size: 1.3rem;
}
.qoute{
    background-image: url(../imgs/will-swann-CFI4u_zWzJQ-unsplash.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
}
.qoute .post-title{
    padding: 20px;
    display: flex;
    gap: 20px;
    z-index: 1;
    font-size: 1.1rem;
    flex-direction: column;
    color: whitesmoke;
    
}
.qoutes{
    font-size: 2rem;
    color: rgb(255, 255, 255);
}
.cards-wrapper .small-post:nth-child(1){
    flex-basis: max-content;
}
.tags{
    max-width: 70px;
    width:40%;
    height: 20px;

    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 5%;
    left: 2%;
    border: 2px solid whitesmoke;
}
.tag span{
    color: rgb(255, 255, 255);
    font-weight: bold;
    text-transform: uppercase;
    word-spacing: 0.1rem;
    font-size: 0.8rem;
}
footer{
    width: 100%;
    background-color: white;
    height: 100px;
}
.footer-wrapper{
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.footer-wrapper span:nth-child(2){
    font-size: 3rem;
    font-weight: bold;
}

.more-btn{
    text-decoration: underline;
    font-size: 1.2rem;
  color: black;
  font-weight: 800;
  text-transform: capitalize;
}
.cards-wrapper .small-post:nth-child(even){
    flex-basis: max-content;
}

@media only screen and (max-width: 616px) {
   .newest-posts-container{
    flex-direction: column;
    height: 900px;
   }
   .large-article{
    width: 100%;
   }
   .posts-right-container,.posts-left-container{
    width: 100%;
   }
  }

  @media only screen and (max-width: 1200px) {
.inner-wrapper{
    flex-direction: column;
}
.sidebar{
    width: calc(100% - 40px);
}
.cards-wrapper{
    width: calc(100% - 80px);
}
.search-bar{
    width: 100%;
}
.middle-wrapper{
    display: flex;
    width: 100%;
    justify-content: space-between;

}
.sidebar{
    height: auto;
}
.sidebar section{
    width: 50%;
}
.sidebar section ul{
   flex-direction: column;
}
   }
   @media only screen and (max-width: 875px) {
.middle-wrapper{
 display: none;
}
.profile-main-content{
    flex-direction: column;
}
.profile-main-content .profile-left-sidebar{
    flex-direction: row;
    width: 100%;
    height: auto;
}
.profile-main-content .large-sidebar-right{
    width: 100%;
}
   }

   /*login.php css ----------------- */

.outer-container{
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: row;
}
.outer-left-container{
    width: 40%;
    min-height: 100%;
    background-image: url(../uploads/hero-01.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.outer-left-container::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0;
    background: linear-gradient(180deg,rgba(0, 22, 43, 0),#2222224e);
}
.outer-left-container section{
    width: auto;
    display: flex;
    z-index: 1;
    align-items: center;
    justify-content: center;
    padding: 20px;
    border: 2px solid white;
}
.outer-left-container section h1{
    color: white;
    font-size: 3rem;
    text-transform: capitalize;
    font-weight: 400;
}
.outer-right-container{
    width: 60%;
    height: auto;
    background-color: whitesmoke;
    display: flex;
    align-items: center;
    justify-content: center;
}
.login-container{
    width: 400px;
    max-height: 400px;
    border-right: 9px solid rgb(51, 149, 235);
    height: auto;
    padding: 10px;
    box-shadow: 7px -1px 26px 0px rgba(0,0,0,0.25);
    background-color: rgb(255, 255, 255);
}
.large-section{
    width: calc(100% - 40px);
    display: flex;
    flex-direction: column;
    padding: 20px;
}
form{
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0;
    height: auto;
    justify-content: center;
    gap: 20px;
}
input{
    border: 2px solid whitesmoke;
    background-color: rgba(245, 245, 245, 0);
  font-size: 1.2rem;
  font-weight: 300;
  font-family: 'Raleway', sans-serif;
    height: 50px;
}
#btn{
    border: none;
    padding: 7px;
    transition: all 0.5s ease-in-out;
    background-color: rgb(51, 149, 235);
    width: 200px;
    font-size: 1.2rem;
    font-weight: bold;
    cursor: pointer;
    color: white;
    text-transform: capitalize;
}
.top-section{
    width: calc(100% - 20px);
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 10px;
}
.login-container a{
    color: rgb(147, 147, 147);
    text-transform: capitalize;
}
.box-wrapper{
    border: none;
    padding: 7px;
    transition: all 0.5s ease-in-out;
    background-color: rgb(51, 149, 235);
    width: 130px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    cursor: pointer;
    font-weight: bold;
    color: white;
    text-transform: capitalize;
}
.box-wrapper:hover,#btn:hover{
    background-color: rgb(160, 211, 255);
}
@media only screen and (max-width: 1150px) {
 .outer-container{
    flex-direction: column;
 }
 .outer-left-container{
    width: 100%;
    height: 50vh;
 }
 .outer-right-container{
    width: 100%;
    height: 50vh;
    position: relative;
 }
 .login-container{
    position: absolute;
    top: -130px;
 }
}

/*article page*/
.post-container{
    width: 100%;
    height: auto;
    min-height: 500px;
    height: 100%;
    position: relative;
    background-color: whitesmoke;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.post-container article{
    position: absolute;
    width: 95%;
    height: auto;
    min-height: 300px;
    top: -120px;
   background-color: white;
}
.article-content{
    width: calc(100% - 80px);
    padding: 40px;
}
article .author{
    font-size: 1.2rem;
    font-weight: bold;
}
.article-content p{
word-break: break-all;
}
.bottom-article{
    display: flex;
    border-top: 2px solid whitesmoke;
    width: 100%;
    min-height: 60px;
    justify-content: flex-start;
    gap: 20px;
    position: absolute;
    top: calc(100% + 30px);
    align-items: center;

}
.bottom-article-wrapper{
    position: relative;
}
.curved-box{
    height: 50px;
    width: 50px;
    position: absolute;
    left: -45px;
    top: -125%;
    background-color: transparent;
    border-radius: 0 0 0 50%;
 border-bottom: 5px solid rgb(201, 201, 201);
 border-left: 5px solid rgb(96, 96, 96);
}
.bottom-article ul{
    display: flex;
    margin-left: 20px;
    gap: 20px;
    justify-content: space-between;
}
.bottom-article ul li{
    font-size: 1.2rem;
    display: flex;
    gap: 10px;
    align-items: center;


}
.bottom-article ul li i{
    font-size: 30px;
}


  .green{
    color: rgb(29, 219, 29);
  }
  .bottom-article-wrapper{
width: calc(100%);
padding: 40px;
  }
  .comment-container{
    height: 100%;
    width: 100%;
    min-height: 100px;
    display: flex;
    flex-direction: column;
    gap: 20px;

  }
  .replay-area form textarea{
    max-width: 570px;
    max-height: 90px;
  }
  .replay-area form button{
    width: 120px;
    height: 35px;
    border: none;
    background-color: rgb(36, 146, 209);
    color: whitesmoke;
  }
  .comment{
    display: flex;
    gap: 20px;
    align-items: center;

  }

  .replay-area{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 40px;
    min-height: 300px;
    background-color: transparent;
  }
  .comment-inner{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  .reply-top{
    display: flex;
    gap: 10px;
  }
  .reply-content{
    width: 100%;
    min-height: 30px;
  }
  .reply-content p{
    width: 100%;
    height: 100%;
    font-weight: bold;
  }
  .comment img{
    width: 50px;
    height: 50px;
    border-radius: 6px;
  }
  .error-box{
    display: flex;
    gap: 2px;
  }






.comments-container {
   margin: 60px auto 15px;
   width: 768px;
}

.comments-container h1 {
   font-size: 36px;
   color: #283035;
   font-weight: 400;
}

.comments-container h1 a {
   font-size: 18px;
   font-weight: 700;
}

.comments-list {
   position: relative;
   max-width: 900px;
   overflow-y: scroll;
}


.comments-list:before {
   content: '';
   width: 2px;
   height: 100%;
   background: #c7cacb;
   position: absolute;
   left: 32px;
   top: 0;
}
.infomation{
    display: flex;
    gap: 5px;
    margin-left: 45px;
}
.comments-list:after {
   content: '';
   position: absolute;
   background: #c7cacb;
   bottom: 0;
   left: 27px;
   width: 7px;
   height: 7px;
   border: 3px solid #dee1e3;
   -webkit-border-radius: 50%;
   -moz-border-radius: 50%;
   border-radius: 50%;
}

.reply-list:before, .reply-list:after {display: none;}
.reply-list li:before {
   content: '';
   width: 60px;
   height: 2px;
   background: #c7cacb;
   position: absolute;
   top: 25px;
   left: -55px;
}


.comments-list li {
   margin-bottom: 15px;
   display: flex;
   align-items: unset !important;
   display: block;
   position: relative;
}

.comments-list li:after {
   content: '';
   display: block;
   clear: both;
   height: 0;
   width: 0;
}

.reply-list {
   padding-left: 68px;
   clear: both;
   display: flex;
   flex-direction: column;
   margin-top: 15px;
}

.comments-list .comment-field {
   width: 60px;
   min-width: 65px;
   height: 65px;
   position: relative;
   z-index: 99;
   float: left;
   color: black;
   font-size: 1.1rem;
   font-weight: bold;
   background-color: white;
   border: 3px solid #FFF;
   -webkit-border-radius: 4px;
   -moz-border-radius: 4px;
   border-radius: 4px;
   -webkit-box-shadow: 0 1px 2px rgba(0,0,0,0.2);
   -moz-box-shadow: 0 1px 2px rgba(0,0,0,0.2);
   box-shadow: 0 1px 2px rgba(0,0,0,0.2);
   overflow: hidden;
}
.comment-field img{
 height: 60px;
 width: 60px;
}

.comments-list .comment-box img {
   width: 100%;
   height: 100%;
}

.reply-list .comment-field {
   width: 50px;
   height: 50px;
}
.comment-main-level{
    display: flex;
    gap: 20px;
}
.comment-main-level:after {
   content: '';
   width: 0;
   height: 0;
   display: block;
   clear: both;
}

.comments-list .comment-box {
   width: 680px;
   float: right;
   position: relative;
   -webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.15);
   -moz-box-shadow: 0 1px 1px rgba(0,0,0,0.15);
   box-shadow: 0 1px 1px rgba(0,0,0,0.15);
}

.comments-list .comment-box:before, .comments-list .comment-box:after {
   content: '';
   height: 0;
   width: 0;
   position: absolute;
   display: block;
   border-width: 10px 12px 10px 0;
   border-style: solid;
   border-color: transparent #FCFCFC;
   top: 8px;
   left: -11px;
}

.comments-list .comment-box:before {
   border-width: 11px 13px 11px 0;
   border-color: transparent rgba(0,0,0,0.05);
   left: -12px;
}

.reply-list .comment-box {
   width: 610px;
}
.comment-box .comment-head {
    display: flex;
    gap: 10px;
    justify-content: space-between;
   background: #FCFCFC;
   padding: 10px 12px;
   border-bottom: 1px solid #E5E5E5;
   overflow: hidden;
   -webkit-border-radius: 4px 4px 0 0;
   -moz-border-radius: 4px 4px 0 0;
   border-radius: 4px 4px 0 0;
}
.info-content{
    display: flex;
    gap: 10px;
}
.comment-box .comment-head i {
   float: right;
   margin-left: 14px;
   position: relative;
   top: 2px;
   color: #A6A6A6;
   cursor: pointer;
   -webkit-transition: color 0.3s ease;
   -o-transition: color 0.3s ease;
   transition: color 0.3s ease;
}

.comment-box .comment-head i:hover {
   color: #03658c;
}

.comment-box .comment-name {
   color: #283035;
   font-size: 14px;
   font-weight: 700;
   float: left;
   margin-right: 10px;
}

.comment-box .comment-name a {
   color: #283035;
}

.comment-box .comment-head span {
   float: left;
   color: #999;
   font-size: 13px;
   position: relative;
   top: 1px;
}
.comment-content form{
    width: 100%;
    height: 100%;
}
.comment-content {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.comment-box .comment-content form #edit-area{
    width: 100%;
    height: 100%;
}

.comment-box .comment-content {
    word-break: break-all;
    max-width: 680px;
    display: flex;
    align-items: flex-start;
   background: #FFF;
   padding: 12px;
   font-size: 15px;
   color: #595959;
   -webkit-border-radius: 0 0 4px 4px;
   -moz-border-radius: 0 0 4px 4px;
   border-radius: 0 0 4px 4px;
}
.comment-head form{
    display: flex;
    flex-direction: row;
}

.actions-wrapper a, .actions-wrapper button{
    gap: 5px;
    text-decoration: none;
    color: #03658c;
    font-size: 1rem;
    font-weight: bold;
}
.actions-wrapper a {
    color: rgb(255, 71, 71);
}
#reply-btn i{
    font-size: 18px;
}
.actions-wrapper{
    display: flex;
    flex-direction: row-reverse;
}
.comment-head form button{
    background-color: transparent;
    color: rgb(38, 122, 212);
    width: auto;
    height: auto;
    font-size: 1rem;
    font-weight: bolder;
    cursor: pointer;
}

.comment-box .comment-name.by-author, .comment-box .comment-name.by-author a {color: #03658c;}
.comment-box .comment-name.by-author:after {
   content: 'autor';
   background: #03658c;
   color: #FFF;
   font-size: 12px;
   padding: 3px 5px;
   font-weight: 700;
   margin-left: 10px;
   -webkit-border-radius: 3px;
   -moz-border-radius: 3px;
   border-radius: 3px;
}


@media only screen and (max-width: 900px) {
   .comments-container {
       width: 480px;
   }

   .comments-list .comment-box {
       width: 390px;
   }

   .reply-list .comment-box {
       width: 320px;
   }
}
@media only screen and (max-width: 700px) {
    .comments-container {
        width: 280px;
    }
 
    .comments-list .comment-box {
        width: 310px;
    }
 
    .reply-list .comment-box {
        width: 220px;
    }
 }
 @media only screen and (max-width: 500px) {
    .comments-container {
        width: 280px;
    }
  .comment-main-level{
    flex-direction: column;
  }
  .comments-list .comment-box:before, .comments-list .comment-box:after{
    transform: rotate(90deg);
    top: calc(-16px);
    left: calc(50% - 10px);
  }
    .comments-list .comment-box {
        width: 310px;
    }
    .bottom-article-wrapper{
        padding: 0;
    }
 
    .reply-list .comment-box {
        width: 220px;
    }
 }

 .profile-top-panel-wrapper{
    width: 100%;
    background-color: whitesmoke;
    display: flex;
    gap: 20px;
    align-items: flex-start;
    justify-content: space-between;
 }
 .profile-top-panel-wrapper img{
    height: 200px;
    width: 30%;
    border: 4px solid white;
    border-radius: 2px;
 }
 .profile-top-wrapper{
    width: 80%;
    gap: 5px;
    height: 100%;
    background-color: whitesmoke;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

 }
 .profile-top-panel-top{
    width: 100%;
    padding: 10px;
    height: auto;
    min-height: 40px;
    gap: 10px;
    display: flex;
    align-items: center;
    background-color: white;
    border-bottom: 2px solid rgb(197, 197, 197);
 }
 
 .profile-top-panel-middle{
    width: 100%;
    padding: 10px;
    background-color: white;
    height: 80%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
 }
 .profile-top-panel-bottom{
    width: 100%;
    padding: 10px;
    height: 40px;
background-color: white;
    display: flex;
    justify-content: flex-start;
    align-items: center;
 }
 .profile-left-sidebar{
    width: 30%;
    height: 100%;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
   gap: 30px;

 }
 .image_area:hover .overlay {
    height: 50%;
    cursor: pointer;
  }
  .image_area {
    position: relative;
  }

  .image_area img {
        display: block;
      width: 100%;
      max-width: 200px;
  }
  .overlay {
    position: absolute;
    bottom: 10px;
    left: 0;
    right: 0;
    background-color: rgba(255, 255, 255, 0.5);
    overflow: hidden;
    height: 0;
    transition: .5s ease;
    width: 100%;
  }

  .text {
    color: #333;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
  }
.profile-left-sidebar-top-container,.profile-left-sidebar-top-container-badges{
    height: 170px;
    width: 100%;
    background-color: white;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.profile-left-sidebar-top-container-top{
    width: 100%;
    height: 35px;
    border-bottom: 2px solid rgb(230, 230, 230);
    border-radius: 5px 5px 0px 0px;
    background-color: rgb(236, 236, 236);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
    color: rgb(109, 109, 109);
}
.profile-left-sidebar-top-container-top i{
    margin-left: 10px;
    font-size: 20px;
}
.profile-left-sidebar-top-container-middle{
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: calc(100% - 40px);
    width: 100%;
}

.profile-left-sidebar-top-container-column{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    justify-content: space-between;
}
.profile-left-sidebar-top-container-row{
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-between;
    gap: 15px;
    color: rgb(109, 109, 109);
    border-bottom: 2px solid rgb(230, 230, 230);
}
.profile-left-sidebar-top-container-middle-badges{
    padding: 10px;
    width: 100%;
    height: calc(100% - 40px);
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}
.profile-role-tag{
    background-color: #7fcf50;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90px;
    text-transform: capitalize;
    color: white;
    font-weight: bold;
    height: 25px;
    border-radius: 6px;
}
.large-sidebar-right{
    width: 70%;
    height: 100%;
    background-color: white;
    display: flex;
    flex-direction: column;
}
.profile-main-content{
    display: flex;
    width: 100%;
    height: 100%;
    gap: 15px;
    justify-content: space-between;
}
.large-sidebar-right-top{
    height: 60px;
    width: 100%;
    background-color: whitesmoke;
    display: flex;
}
picture img{
    height: 100%;
    max-height: 200px;
    object-fit: cover;
}
.profile-tab{
    height: 100%;
   min-width: 80px;
   width: auto;
   cursor: pointer;
   padding-left: 5px;
   border-bottom: 2px solid whitesmoke;
   padding-right: 5px;
    background-color: white;
    border-right: 2px solid whitesmoke;
    border-radius: 10px 10px 0px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s ease-in-out;
}
.large-sidebar-right-top .profile-tab:hover{
    background-color: #cdcfcf;
}
#profile-edit-btn{
    width: 20px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    border: none;
    cursor: pointer;
}
.row-form{
    display: flex;
  gap: 10px;
  flex-direction: row;
  height: 40px;
  width: auto;
  max-width: 500px;
  align-items: center;

}
.hide{
    display: none !important;
}
#edit-textarea{
    max-width: 300px;
    max-height: 25px;
}
#edit-textarea-desc{
    max-height: 200px;
    width: 200px;
    max-width: 300px;
}
#profile-edit-btn-desc{
    border: none;
    background-color: transparent;
    cursor: pointer;
}
.row-form button,.desc-form button{
    width: 100px;
    height: 25px;
    border: none;
}
.desc-form {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    margin-left: 10px;
     width: auto;
}
.gray{
    background-color: gray;
}
.green{
    background-color:#7fcf50;
}
.orange{
    background-color: orange;
}
.profile-tab:nth-child(2){
    background-color: rgba(255, 255, 255, 0.363);
}
.large-sidebar-right-content{
    width: 100%;
    padding: 10px;
    height: calc(100% - 60px);
}
.article-wrapper{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.article-display-container{
    width: 100%;
height: 100%;
display: flex;
gap: 20px;
flex-wrap: wrap;
justify-content: space-between;


z-index: 1;
}
/*pagination menu */
.pagination{
    display: flex;
    height: 60px;
    width: 100%;
    justify-content: center;
    margin-top: 10px;
}
.pagination li a{ 
    padding: 5px;
    background-color:white;
    text-decoration: none;
   display: block;
   width: 70px;
   height: 30px;
   display: flex;
   align-items: center;
   justify-content: center;
    color: rgb(58, 58, 184);
    border: 1px solid #E5E5E5;
}
.tablinks{
    width: 100%;
    height: 100%;
    border: none;
    background-color: transparent;
    cursor: pointer;
}
/*search*/
.dropdown {
    position: relative;
    display: inline-block;
  }
  
  .dropdown-content {
    display: none;
    display: flex;
    width: 100%;
    top: 100%;
    flex-direction: column;
    position: absolute;
    background-color: #f6f6f6;
    min-width: 230px;
    left: 0;
    overflow: auto;
    border: 1px solid #ddd;
    z-index: 1;
  }
  
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }